## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface CatchExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  CatchExpImpl

    public interface CatchExp

extends ImperativeExpression

A representation of the model object 'Catch Exp'.

The following features are supported:

- `Body`
- `Exception`

See Also:
  `ImperativeOCLPackage.getCatchExp()`

Method Summary
`<any>` `getBody()` Returns the value of the 'Body' containment reference list.
`<any>` `getException()` Returns the value of the 'Exception' reference list.

Method Detail

### getBody

    <any> getBody()

  Returns the value of the 'Body' containment reference list. The list contents are of type `org.eclipse.ocl.ecore.OCLExpression`.

  If the meaning of the 'Body' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference list.
  See Also:
    `ImperativeOCLPackage.getCatchExp_Body()`

### getException

    <any> getException()

  Returns the value of the 'Exception' reference list. The list contents are of type `org.eclipse.emf.ecore.EClassifier`.

  If the meaning of the 'Exception' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exception' reference list.
  See Also:
    `ImperativeOCLPackage.getCatchExp_Exception()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.